it-swarm-ja.com

Launchpadからffmpegをダウンロードしてインストールする方法は?

Launchpad からffmpegパッケージをインストールする方法を理解しようとしています。

Linux用にダウンロードしようとすると、 ffmpeg website はそのページにリンクします。

4
shinvu

ffmpegは公式のUbuntuリポジトリで利用可能です:
-xenial | xenial-updates | yakkety | yakkety-updates-

apt policy ffmpeg
ffmpeg:
  Installed: 7:3.0.5-0ubuntu0.16.10.1
  Candidate: 7:3.0.5-0ubuntu0.16.10.1
  Version table:
 *** 7:3.0.5-0ubuntu0.16.10.1 500
        500 http://archive.ubuntu.com/ubuntu yakkety-updates/universe AMD64 Packages
        500 http://archive.ubuntu.com/ubuntu yakkety-security/universe AMD64 Packages
        100 /var/lib/dpkg/status
     7:3.0.2-1ubuntu3 500
        500 http://archive.ubuntu.com/ubuntu yakkety/universe AMD64 Packages

それをインストールするには、ターミナルを開いてこのコマンドを実行します:

Sudo apt install ffmpeg  

ランチパッドからffmpegをダウンロードする必要はありません。

aptを使用して、インストール後に欠落パッケージに関するコメントのアドレスを更新する

ffmpegを使用してaptをインストールすると、「追加パッケージ」が自動的にインストールされます。場合によっては何かがおかしいかもしれません。たとえば、ここで私の初期セットアップ-これらのパッケージは、コマンドSudo apt install ffmpegを実行した後にインストールされました。

ffmpeg (7:3.0.2-1ubuntu3)
i965-va-driver (1.7.1-1)
libaacs0 (0.8.1-1)
libass5 (0.13.2-1)
libavcodec57 (7:3.0.2-1ubuntu3)
libavdevice57 (7:3.0.2-1ubuntu3)
libavfilter6 (7:3.0.2-1ubuntu3)
libavformat57 (7:3.0.2-1ubuntu3)
libavresample3 (7:3.0.2-1ubuntu3)
libavutil55 (7:3.0.2-1ubuntu3)
libbdplus0 (0.1.2-1)
libbluray1 (1:0.9.3-2)
libbs2b0 (3.1.0+dfsg-2.2)
libchromaprint0 (1.3-1build1)
libcrystalhd3 (1:0.0~git20110715.fdd2f19-11build1)
libdc1394-22 (2.2.4-1)
libflite1 (2.0.0-release-2)
libgme0 (0.6.0-3)
libgsm1 (1.0.13-4)
libmodplug1 (1:0.8.8.5-2)
libmp3lame0 (3.99.5+repack1-9build1)
libopenal-data (1:1.17.2-1)
libopenal1 (1:1.17.2-1)
libopenjpeg5 (1:1.5.2-3.1)
libpostproc54 (7:3.0.2-1ubuntu3)
librubberband2v5 (1.8.1-6ubuntu2)
libschroedinger-1.0-0 (1.0.11-2.1build1)
libsdl1.2debian (1.2.15+dfsg1-4)
libshine3 (3.1.0-4)
libsoxr0 (0.1.2-1)
libssh-gcrypt-4 (0.7.3-1)
libswresample2 (7:3.0.2-1ubuntu3)
libswscale4 (7:3.0.2-1ubuntu3)
libtwolame0 (0.3.13-1.2)
libva1 (1.7.1-2)
libvdpau1 (1.1.1-3ubuntu1)
libx264-148 (2:0.148.2699+gita5e06b9-1)
libx265-79 (1.9-3)
libxvidcore4 (2:1.3.4-1)
libzvbi-common (0.2.35-11)
libzvbi0 (0.2.35-11)
mesa-va-drivers (12.0.3-1ubuntu2)
mesa-vdpau-drivers (12.0.3-1ubuntu2)
va-driver-all (1.7.1-2)
vdpau-driver-all (1.1.1-3ubuntu1)

これは、Ubuntu 16.10のインストールによるものです-他のエディションではパッケージとバージョンが異なります。
libavcodec-extra57のような他のパッケージは、いくつかの追加のデ/エンコーダーまたは開発バージョンを提供し、手動でインストールする必要があります。まだUbuntu 14.04を実行している場合は、代わりにlibav-tools(Ubuntu 14.04で一時的にffmpegを置き換えたffmpegのフォーク)をインストールできます。

6
cl-netbox

Ffmpeg WebサイトからUbuntu-Vivid、Wily、Xenialリンクのパッケージを誤ってコピーしました。正しいリンク: https://launchpad.net/ubuntu/+source/ffmpeg 。このWebページでは、ページの左側にある白い三角形を展開することにより、ダウンロード可能なffmpeg .debパッケージを表示できます。このWebサイトのffmpegパッケージは、2週間前に最後に更新されました。

Ubuntu 12.04、16.04、16.10、17.04、17.10、および18.04以降(14.04ではありません)では、次のコマンドを使用して端末からffmpegをインストールすることもできます。

Sudo apt-get install ffmpeg  
4
karel

Paraviewのプリコンパイルされたバイナリはffmpegライブラリを必要としないか、使用しないため、ffmpegサポートを使用してParaviewを構築しようとしていると仮定します。

その場合、これはそれを行う必要があり、9個の-devパッケージをすべてインストールします。必要に応じて、それらすべてを必要としない可能性があります。必要に応じて、最後のパッケージを削除して、4つの-devパッケージのショートリストを取得します。

Sudo apt install libavcodec-dev libavformat-dev libavdevice-dev

いくつかの余分な-devがインストールされていても害はありません。多くのソースは必要なものだけを使用します。

2
doug

ランチパッドからプログラムをダウンロードするには

Ubuntuのバージョンのパッケージ化されたdebファイルを最初に探します(Debian/MintなどのdebはUbuntuで動作する場合があります-RPMはFedora/centos/redhat/suse用です、さまざまなディストリビューション向けに他のパッケージ形式が利用可能です)。これは、ランチパッドで見つけるのが面倒な場合があります(リンクは古くなっている可能性があります)-ただし、使用可能なものはまだ可能です(NOTE:ffmpegを試す前に答えの最後の部分を読む...)

  1. 上部の コード に移動します
  2. 最も関連性の高いブランチを取得します(例: vidid/ffmpeg for 15.04)
  3. ビルドが成功した「レシピ」を見つけて( )、そのためのdebファイルをダウンロードします(- )-可能であれば 64bitでAMD64を取得します 、それ以外の場合はi*86パッケージを使用します(32ビット用)。

見つからない場合は、通常、ソースコードのダウンロードを入手できます(たとえば、14.04、 here -ffmpegサイトのバージョンは https://www.ffmpeg.org/downloadです) .html )。その後、それをコンパイルしてインストールできるはずです-指示は利用可能です here 、そして通常はダウンロードしたもののREADMEファイルにあります。 checkinstallなどを使用しない場合は、コンパイルプログラムを削除するためにSudo make uninstallなどでパッケージを削除する必要がある場合があるため、通常はパッケージバージョンを使用する方がよいことに注意してください。

PPAを追加しすぎる

LaunchpadはPPAでより適切に使用できます。PPAを使用するための指示は here にあります。


FFmpeg特に...

ffmpegのインストールに使用する方法は、使用しているUbuntuのバージョンによって異なります。 最近サポートされているバージョン (15.04(vivid)以降、16.04および16.10以降)の場合、これは機能し、公式リポジトリからffmpegを取得します( here ) :

Sudo apt-get install ffmpeg

ただし、14.04(およびその前後の他のバージョン)を使用している場合は、libav-toolsそのプロジェクトのフォークを使用できます

Sudo apt-get install libav-tools

これは、いくつかのバージョンでffmpegが公式のUbuntuリポジトリから削除されたためです。ただし、ffmpegは引き続きサードパーティのソースから入手できますffmpeg sourceなど)コード、PPA、およびdebのダウンロードこれは広範囲に渡ってカバーされています here

1
Wilf